> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/call-routing/update-least-cost-routing-routes-and-carrier-entries/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # update least cost routing routes and carrier set entries PUT https://api.jambonz.cloud/v1/Lcrs/{LcrSid}/Routes Content-Type: application/json Reference: https://docs.jambonz.org/reference/rest-platform-management/call-routing/update-least-cost-routing-routes-and-carrier-entries ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `LcrSid` (string, required) ### Body (application/json) This endpoint expects a list of LcrRouteAndCarrierEntries. - `list of LcrRouteAndCarrierEntries` ## Response ### 204 least cost routing ruoutes and carrier entries updated ## Errors ### 400 Bad Request Error bad request - `msg` (string, required) ### 404 Not Found Error least cost routing not found - `any` ### 500 Internal Server Error system error - `msg` (string, required) ## Types ### LcrRouteAndCarrierEntries - `lcr_sid` (string, required) - `regex` (string, required) — out going call Phone number regex - `priority` (integer, required) - `description` (string, optional) - `lcr_carrier_set_entries` (list of LcrCarrierSetEntry, optional) ### LcrCarrierSetEntry - `lcr_route_sid` (string, required) - `voip_carrier_sid` (string, required) - `priority` (integer, required) - `workload` (integer, optional) — traffic distribution value ## Examples **Request** ```json [ { "lcr_sid": "a1b2c3d4-5678-90ab-cdef-1234567890ab", "regex": "^1[2-9]\\d{9}$", "priority": 1, "description": "Route for US domestic calls starting with 1" } ] ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes" payload = [ { "lcr_sid": "a1b2c3d4-5678-90ab-cdef-1234567890ab", "regex": "^1[2-9]\d{9}$", "priority": 1, "description": "Route for US domestic calls starting with 1" } ] headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '[{"lcr_sid":"a1b2c3d4-5678-90ab-cdef-1234567890ab","regex":"^1[2-9]\\d{9}$","priority":1,"description":"Route for US domestic calls starting with 1"}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes" payload := strings.NewReader("[\n {\n \"lcr_sid\": \"a1b2c3d4-5678-90ab-cdef-1234567890ab\",\n \"regex\": \"^1[2-9]\\\\d{9}$\",\n \"priority\": 1,\n \"description\": \"Route for US domestic calls starting with 1\"\n }\n]") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"lcr_sid\": \"a1b2c3d4-5678-90ab-cdef-1234567890ab\",\n \"regex\": \"^1[2-9]\\\\d{9}$\",\n \"priority\": 1,\n \"description\": \"Route for US domestic calls starting with 1\"\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("[\n {\n \"lcr_sid\": \"a1b2c3d4-5678-90ab-cdef-1234567890ab\",\n \"regex\": \"^1[2-9]\\\\d{9}$\",\n \"priority\": 1,\n \"description\": \"Route for US domestic calls starting with 1\"\n }\n]") .asString(); ``` ```php request('PUT', 'https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes', [ 'body' => '[ { "lcr_sid": "a1b2c3d4-5678-90ab-cdef-1234567890ab", "regex": "^1[2-9]\\\\d{9}$", "priority": 1, "description": "Route for US domestic calls starting with 1" } ]', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"lcr_sid\": \"a1b2c3d4-5678-90ab-cdef-1234567890ab\",\n \"regex\": \"^1[2-9]\\\\d{9}$\",\n \"priority\": 1,\n \"description\": \"Route for US domestic calls starting with 1\"\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ [ "lcr_sid": "a1b2c3d4-5678-90ab-cdef-1234567890ab", "regex": "^1[2-9]\d{9}$", "priority": 1, "description": "Route for US domestic calls starting with 1" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Lcrs/LcrSid/Routes")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```